Bug 1272260 - Load error(parseerror) on clicking tables on Database accordion
Load error(parseerror) on clicking tables on Database accordion
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Dan Clarizio
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 18:26 EDT by Nandini Chandra
Modified: 2015-12-08 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-15 18:26:12 EDT
Description of problem:
-----------------------
Clicking any of the tables on Database accordion gives Load error(parseerror).

Snippet from production.log

[----] I, [2015-10-15T18:17:34.105711 #2923:12b5998]  INFO -- : Started POST "/ops/accordion_select?id=vmdb_accord" for 127.0.0.1 at 2015-10-15 18:17:34 -0400
[----] I, [2015-10-15T18:17:34.107044 #2923:12b5998]  INFO -- : Processing by OpsController#accordion_select as JS
[----] I, [2015-10-15T18:17:34.107108 #2923:12b5998]  INFO -- :   Parameters: {"id"=>"vmdb_accord"}
[----] I, [2015-10-15T18:17:34.283273 #2923:12b5998]  INFO -- : Completed 200 OK in 176ms (Views: 0.2ms | ActiveRecord: 16.1ms)
[----] I, [2015-10-15T18:17:36.065198 #2923:12b5998]  INFO -- : Started POST "/ops/tree_autoload_dynatree" for 127.0.0.1 at 2015-10-15 18:17:36 -0400
[----] I, [2015-10-15T18:17:36.066447 #2923:12b5998]  INFO -- : Processing by OpsController#tree_autoload_dynatree as JSON
[----] I, [2015-10-15T18:17:36.066514 #2923:12b5998]  INFO -- :   Parameters: {"id"=>"tb-1", "tree"=>"vmdb_tree", "mode"=>"all"}
[----] F, [2015-10-15T18:17:36.104827 #2923:12b5998] FATAL -- : Error caught: [NameError] undefined local variable or method `x_tree' for #<TreeBuilderOpsVmdb:0x00000011130e78>
/var/www/miq/vmdb/app/presenters/tree_builder_ops_vmdb.rb:45:in `x_get_tree_vmdb_table_kids'
/var/www/miq/vmdb/app/presenters/tree_builder.rb:314:in `x_get_tree_objects'
/var/www/miq/vmdb/app/presenters/tree_builder.rb:146:in `x_get_child_nodes'
/var/www/miq/vmdb/app/presenters/tree_builder.rb:414:in `tree_add_child_nodes'
/var/www/miq/vmdb/app/controllers/application_controller/tree_support.rb:26:in `tree_autoload_dynatree'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:821:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'


Version-Release number of selected component (if applicable):
------------------------
5.5.0.6


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to Configure->Configuration
2.Click any of the tables from the database accordion.


Actual results:
--------------
Load error(parseerror) upon clicking tables on Database accordion.


Expected results:
-----------------
No errors


Additional info:
----------------
Comment 2 Harpreet Kataria 2015-10-23 10:48:16 EDT
Fixed in https://github.com/ManageIQ/manageiq/pull/5066
Comment 3 Nandini Chandra 2015-11-06 13:03:40 EST
Verified in 5.5.0.9
Comment 5 errata-xmlrpc 2015-12-08 08:38:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.